var xurl = 'http://straindar.com/';

var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        app.receivedEvent('deviceready');
        document.getElementById('pStatus').innerHTML = 'Loading...<br>'
		if (navigator.connection.type == 'none') document.getElementById('pStatus').innerHTML = 'Sorry, strainDar needs an internet connection.<br><br><a href="#" onclick="location.reload();">Re-try</a>'
		try {
		  ga('create', 'UA-65204218-1', { 'storage': 'none', 'clientId':device.uuid, 'cookieDomain': 'none' });
		  ga('set','checkProtocolTask',null);
		  ga('set','checkStorageTask',null);
	     // navigator.geolocation.getCurrentPosition(positionSuccess, positionError, { timeout: 10000, enableHighAccuracy: false});
		}
		catch(err) {alert(err.message);}	
	  
        setTimeout(isMapApiLoaded, 10000);
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        console.log('Received Event: ' + id);
    }
};

    function isMapApiLoaded(i) {
	  if (!gvMapLoaded) {
        status('isMapApiLoaded fail', 'strainDar is loading slow.  Do we have an internet connection?<br><a href="#" onclick="location.reload();">Reload</a>');
	  }
	  else { 
        status('isMapApiLoaded fail', 'Google Maps API finally loaded.<br><a href="#" onclick="allReady();">OK</a>');
	  }
    } 

    $(document).ready(function(){
      $.ajaxSetup ({cache: false});
	  
      $(document).bind("mobileinit", function(){
        $.mobile.ajaxEnabled = false;
        $.mobile.defaultPageTransition = 'none';
        $.mobile.pushStateEnabled = 'false';  });

	  $('#btnBack').click(function(e) {
          if (gvChanges) alertMsgOkCancel('Changes not saved.  Leave page?', function(){gvChanges=false;$('#btnBack').click();}); 
          else {
            window.history.back();
			return false;
          }
      });

      window.addEventListener('popstate', function(event) {
        if ((typeof event.state) == 'string') loadPage(event.state, true);
      });
	  
	  status('Jquery loaded.');
	  gvScriptsLoaded = true;
	  
    });      

  function status(con, msg) {
    if (!(msg > ''))
       document.getElementById('pStatus').innerHTML += '&deg;';
	else 
       document.getElementById('pStatus').innerHTML = msg+'<br>';
	dconsole(con);
  }
  
  function doSrch() {
    if (($('#sn').val().length > 0)&&($('#sn').val().length < 3)) alertMsg('Search term must be longer than 2 chars.');
	else {
      $('#puSrch').hide();
      loadPage('map.php?s='+$('#sn').val());
      window.scrollTo(0,0);
	}
	return false;
  }
  
  function positionSuccess(position) {
    gvCurposLat = position.coords.latitude; 
    gvCurposLon = position.coords.longitude;
  };

  function positionError(err) { alert(err.message); };

  
function pushAnalyticsPage(pg, t) {
 if (typeof ga !== 'undefined') {
   ga('send', {
   'hitType': 'pageview',
   'page': 'app/'+pg,
   'title': t
   });
 }
}

  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
 		  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
		  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
		  })(window,document,'script','js/analytics.js','ga');

  app.initialize();


		  

